"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
;/* empty css                */
const _pluginVue_exportHelper = require("../../../../../_virtual/_plugin-vue_export-helper.js");
const _hoisted_1 = { class: "fec-h2" };
const _hoisted_2 = { class: "fec-label" };
const _hoisted_3 = { class: "fec-label-title" };
const _hoisted_4 = { class: "fec-label-sub-title" };
const _hoisted_5 = { class: "fec-buttons" };
const _sfc_main = {
  __name: "H2Wrapper",
  props: {
    componentData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        _cache[0] || (_cache[0] = Vue.createElementVNode("div", { class: "fec-label-line" }, null, -1)),
        Vue.createElementVNode("div", _hoisted_2, [
          Vue.createElementVNode("div", _hoisted_3, Vue.toDisplayString(__props.componentData.label), 1),
          Vue.createElementVNode("div", _hoisted_4, Vue.toDisplayString(__props.componentData.subLabel), 1)
        ]),
        Vue.createElementVNode("div", _hoisted_5, [
          Vue.renderSlot(_ctx.$slots, "default", {}, void 0, true)
        ])
      ]);
    };
  }
};
const H2Wrapper = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-2078e9ec"]]);
exports.default = H2Wrapper;
